Packages - Bug #2960

Installing icu (68.2-1.1) breaks dependency 'icu<68' required by icecat
2021-01-07 02:23 PM - doolio

Status: duplicate % Done: 0%
Priority: bug

Assignee:

Category:

Description

Trying to update my i686 system, | get an error that it fails in preparing the transaction as it could not satisfy dependencies as
reported in the subject line. | currently have icecat 60.7.0_gnu1-3 installed which | believe is the latest version available and this
depends on icu>=67.1-1.0, icu<68. | have icu 67.1-1.0 installed as well.

Similar issue to the (closed) bug #2844. Thanks for your time and Parabola.

History

#1 - 2021-01-07 04:46 PM - bill-auger

- Status changed from unconfirmed to duplicate

ok thanks for noticing - i will close this ticket in favor of #2087 - that one is associated with the permanent i686/icu epic (#2727) - i will prepare the
icu-compat package for i686 - that should resolve the conflict

#2 - 2021-01-11 03:10 AM - bill-auger

icecat v60 has 'icu=<68' as a hard requirement; so 'icu-compat' does not resolve the conflict - the next version of icecat will be more forgiving -
unfortunately, it is not ready yet - for now you would need to keep icu v67, or uninstall icecat until the next version is ready

watch #2087 for progress

#3 - 2021-01-11 07:37 AM - doolio

Thanks for the update Bill. I'm happy to wait for the new version.

2024-04-23 1/1



https://labs.parabola.nu/issues/2844
https://labs.parabola.nu/issues/2087
https://labs.parabola.nu/issues/2727
https://labs.parabola.nu/issues/2087
http://www.tcpdf.org

